﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace _118
{
    public partial class Form4 : Form
    {
        public Form4()
        {
            InitializeComponent();
        }
        void distxt()
        {
            txtadd.Enabled = false;
            txtfamily.Enabled = false;
            txtname.Enabled = false;
            txtrow.Enabled = false;
            txttel.Enabled = false;
        }
        void entxt()
        {
            txtadd.Enabled = true;
            txtfamily.Enabled = true;
            txtname.Enabled = true;
            txtrow.Enabled = true;
            txttel.Enabled = true;
        }
        void nonetext()
        {
            txtadd.Text = "";
            txtfamily.Text = "";
            txtname.Text = "";
            txtrow.Text = "";
            txttel.Text = "";
        }
        private void Form4_Load(object sender, EventArgs e)
        {
            this.distxt();
            btnadd.Enabled = true;
            btnsave.Enabled = false;
            btnedit.Enabled = true;
            btncancel.Enabled = false;
            btndel.Enabled = true;
            var db = new LINQDataContext();
            dataGridView1.DataSource = db.MyTables;
        }


        private void btnadd_Click_1(object sender, EventArgs e)
        {
            this.entxt();
            this.nonetext();
            txtrow.Focus();
            btnadd.Enabled = false;
            btnsave.Enabled = true;
            btnedit.Enabled = false;
            btncancel.Enabled = true;
            btndel.Enabled = false;
        }

        private void btnsave_Click_1(object sender, EventArgs e)
        {
            var db = new LINQDataContext();
            db.pSave(Convert.ToInt32(txtrow.Text), txtname.Text, txtfamily.Text, txtadd.Text, txttel.Text);
            dataGridView1.DataSource = db.MyTables;

            this.distxt();
            btnadd.Enabled = true;
            btnsave.Enabled = false;
            btnedit.Enabled = true;
            btncancel.Enabled = false;
            btndel.Enabled = true;
        }

        private void btndel_Click_1(object sender, EventArgs e)
        {
            if (dataGridView1.RowCount == 0)
            {

                MessageBox.Show("Hich Recordi Baray Hazf Kardan Vojod Nadarad!", "Delete", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;

            }

            if (MessageBox.Show("Aya Mikhahid Record Morede Nazar Hazf Shawad?", "Delete", MessageBoxButtons.YesNo,
                MessageBoxIcon.Question) == DialogResult.Yes)
            {

                var db = new LINQDataContext();
                db.pDelete(Convert.ToInt32(dataGridView1.CurrentRow.Cells["Row"].Value));
                dataGridView1.DataSource = db.MyTables;

            }
        }

        private void btnedit_Click_1(object sender, EventArgs e)
        {
            if (dataGridView1.RowCount > 0)
            {
                var up = new Form2();
                up.txtrow.Text = dataGridView1.CurrentRow.Cells["row"].Value.ToString();
                up.txtname.Text = dataGridView1.CurrentRow.Cells["name"].Value.ToString();
                up.txtfamily.Text = dataGridView1.CurrentRow.Cells["family"].Value.ToString();
                up.txtadd.Text = dataGridView1.CurrentRow.Cells["Adress"].Value.ToString();
                up.txttel.Text = dataGridView1.CurrentRow.Cells["tel"].Value.ToString();
                up.ShowDialog();
                var db = new LINQDataContext();
                dataGridView1.DataSource = db.MyTables;
            }
        }

        private void btncancel_Click_1(object sender, EventArgs e)
        {
            btnadd.Enabled = true;
            btnsave.Enabled = false;
            btndel.Enabled = true;
            btnedit.Enabled = true;
            btncancel.Enabled = false;
            dataGridView1.Refresh();
            this.nonetext();
            this.distxt();
        }

    }
}
